[![CircleCI](https://circleci.com/gh/beaconsoftwarellc/gadget.svg?style=shield&circle-token=4f5131933cee0e4957cc055b6d47a6f6081ec958)](https://circleci.com/gh/beaconsoftwarellc/gadget)

# Gadget
Various utility packages for golang

# Installation
	import "github.com/beaconsoftwarellc/gadget"

# Packages

## buffer

## collection
Implementations of sets and other collections

## crypto
Simplifies the use of several encryption methods

## database
A record based mysql database ORM that includes a linq style Query Builder

## dispatcher

## environment
Methods for reading values from the environment to populate decorated structs

## errors
An error package that incorporates stack traces

## fileutil
Utility methods for file handling

## generator
Methods for creating random numbers and strings

## generics
A struct for managing a variety of data types in a single variable

## intutil
Utility methods for handling Min / Max for integers

## log
A logging package that includes log levels

## net
Handlers for a variety of network based functionality

## storage
Disk / Memory based implementations of a Storage interface

## stringutil
Utility methods for strings

## timeutil
Utility methods for time
